<template>
  <div class="flex gap-3 items-center">
    <label :for="id" class="font-normal">{{ label }}</label>
    <div class="relative border border-sdg-blue-gray/60 rounded-lg overflow-hidden">
      <select :id="id" v-model="selectedValue" class="min-w-48 p-2 pr-8 rounded-lg appearance-none text-sdg-blue-gray/60">
        <option v-for="option in options" :key="option.value" :value="option.value">
          {{ option.label }}
        </option>
      </select>
      <i class="fa-solid fa-caret-down absolute top-1/2 right-4 -translate-y-1/2 text-sm"></i>
    </div>
  </div>
</template>

<script setup lang="ts">
import { type PropType, watch, ref } from 'vue';

const props = defineProps({
  label: String,
  options: {
    type: Array as PropType<{ label: String; value: PropertyKey }[]>,
    required: true
  },
  modelValue: {
    type: String,
    required: false
  },
  id: {
    type: String,
    required: true
  }
});

const emit = defineEmits(['update:modelValue']);

const selectedValue = ref(props.modelValue);

watch(selectedValue, (newValue) => {
  emit('update:modelValue', newValue);
});
</script>
